<?php

/**
 * This file is part of an ADDON for use with LEPTON Core.
 * This ADDON is released special license.
 * License can be seen in the info.php of this module.
 *
 * @module          lib Responsive Filemanager
 * @author          LEPTON Project, Alberto Peripolli (http://responsivefilemanager.com/)
 * @copyright       2016-2021 LEPTON Project, Alberto Peripolli
 * @link            https://lepton-cms.org
 * @license         please see info.php of this module
 * @license_terms   please see info.php of this module
 *
 */

// include class.secure.php to protect this file and the whole CMS!
if(!defined("SEC_FILE")){define("SEC_FILE",'/framework/class.secure.php' );}
if (defined('LEPTON_PATH')) {	
	include LEPTON_PATH.SEC_FILE;
} else {
	$oneback = "../";
	$root = $oneback;
	$level = 1;
	while (($level < 10) && (!file_exists($root.SEC_FILE))) {
		$root .= $oneback;
		$level += 1;
	}
	if (file_exists($root.SEC_FILE)) {  
		include $root.SEC_FILE;  
	} else {
		trigger_error(sprintf("[ %s ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR);
	}
}
// end include class.secure.php


// move thumbs directory
$directory_names = array(
	array ('source'=>'/modules/lib_r_filemanager/filemanager/thumbs', 'target'=>'/modules/lib_r_filemanager/thumbs')
);
LEPTON_handle::rename_directories($directory_names);


// delete obsolete directory
$directory_names = array(
	'/modules/lib_r_filemanager/filemanager/uploader',
	'/modules/lib_r_filemanager/filemanager/js/ViewerJS'
);
LEPTON_handle::delete_obsolete_directories($directory_names);

// delete obsolete file
$file_names = array(
	'/modules/lib_r_filemanager/filemanager/js/ZeroClipboard.swf'
);
LEPTON_handle::delete_obsolete_files($file_names);
?>